# ChangeLog for sys-kernel/linux-headers
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/linux-headers/ChangeLog,v 1.367 2013/02/18 22:48:58 zmedico Exp $

  18 Feb 2013; Zac Medico <zmedico@gentoo.org> linux-headers-3.4-r2.ebuild,
  linux-headers-3.5.ebuild, linux-headers-3.6.ebuild, linux-headers-3.7.ebuild:
  Add ~arm-linux keywords.

  08 Feb 2013; Jeroen Roovers <jer@gentoo.org> linux-headers-3.6.ebuild:
  Stable for HPPA (bug #443532).

  04 Jan 2013; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.6.ebuild:
  Stable for ia64, wrt bug #443532

  30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.6.ebuild:
  Stable for alpha, wrt bug #443532

  29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.6.ebuild:
  Stable for sparc, wrt bug #443532

*linux-headers-3.7 (20 Dec 2012)

  20 Dec 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.7.ebuild:
  Version bump.

  21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> linux-headers-3.6.ebuild:
  stable arm ppc ppc64, bug #443532

  20 Nov 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.6.ebuild:
  Stable for amd64, wrt bug #443532

  20 Nov 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.6.ebuild:
  Stable for x86, wrt bug #443532

  10 Oct 2012; Andreas Schuerch <nativemad@gentoo.org>
  linux-headers-3.4.ebuild:
  x86 stable, see bug 423091

*linux-headers-3.6 (01 Oct 2012)

  01 Oct 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.6.ebuild:
  Version bump.

*linux-headers-3.5 (23 Jul 2012)

  23 Jul 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.5.ebuild:
  Version bump.

*linux-headers-3.4-r2 (22 Jul 2012)

  22 Jul 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.4-r2.ebuild:
  Fix from upstream for missing asm/cmpxchg.h on ia64 #427622 by Tobias Ulmer.

  15 Jul 2012; Raúl Porcel <armin76@gentoo.org> linux-headers-3.4-r1.ebuild:
  alpha/arm/ia64/m68k/s390/sh/sparc stable wrt #423091

  14 Jul 2012; Markus Meier <maekke@gentoo.org> linux-headers-3.4.ebuild:
  arm stable, bug #423091

  10 Jul 2012; Brent Baude <ranger@gentoo.org> linux-headers-3.4.ebuild:
  Marking linux-headers-3.4 ppc64 for bug 423091

  10 Jul 2012; Brent Baude <ranger@gentoo.org> linux-headers-3.4.ebuild:
  Marking linux-headers-3.4 ppc for bug 423091

*linux-headers-3.4-r1 (10 Jul 2012)

  10 Jul 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.4-r1.ebuild:
  Fix alpha asm/fpu.h #417441 by Matt Turner.

  08 Jul 2012; Jeroen Roovers <jer@gentoo.org> linux-headers-3.4.ebuild:
  Stable for HPPA (bug #423091).

  26 Jun 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.4.ebuild:
  Stable for amd64, wrt bug #423091

*linux-headers-3.4 (22 May 2012)

  22 May 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.4.ebuild:
  Version bump.

  14 May 2012; Mike Frysinger <vapier@gentoo.org>
  -linux-headers-2.6.27-r2.ebuild, -linux-headers-2.6.30-r1.ebuild,
  -linux-headers-2.6.33.ebuild, -linux-headers-2.6.36.1.ebuild,
  -linux-headers-2.6.38.ebuild, -linux-headers-2.6.39.ebuild:
  Drop old kernel headers that people wrongly think are supported.

  12 May 2012; Raúl Porcel <armin76@gentoo.org> linux-headers-3.1.ebuild:
  alpha/ia64/m68k/s390/sh/sparc stable wrt #397903

  02 Apr 2012; Mike Frysinger <vapier@gentoo.org> linux-headers-3.3.ebuild:
  Re-add x32 support from v3.4-rc1.

*linux-headers-3.3 (22 Mar 2012)

  22 Mar 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.3.ebuild:
  Version bump.

  19 Mar 2012; Mike Frysinger <vapier@gentoo.org> linux-headers-3.1.ebuild,
  -linux-headers-3.2.ebuild, linux-headers-3.2-r1.ebuild:
  Drop old x32 patches since the syscall numbers have changed.

*linux-headers-3.2-r1 (24 Feb 2012)

  24 Feb 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.2-r1.ebuild:
  Add fix from upstream #402393#1 by Arun Raghavan.

  13 Feb 2012; Kacper Kowalik <xarthisius@gentoo.org> linux-headers-3.1.ebuild:
  ppc64 stable wrt #397903

  01 Feb 2012; Brent Baude <ranger@gentoo.org> linux-headers-3.1.ebuild:
  Marking linux-headers-3.1 ppc for bug 397903

  29 Jan 2012; Markus Meier <maekke@gentoo.org> linux-headers-3.1.ebuild:
  arm stable, bug #397903

  25 Jan 2012; Jeroen Roovers <jer@gentoo.org> linux-headers-3.1.ebuild:
  Stable for HPPA (bug #397903).

  21 Jan 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.1.ebuild:
  Stable for X86, wrt bug #397903

  16 Jan 2012; Agostino Sarubbo <ago@gentoo.org> linux-headers-3.1.ebuild:
  Stable for AMD64, wrt bug #397903

  16 Jan 2012; Mike Frysinger <vapier@gentoo.org> linux-headers-2.6.39.ebuild:
  Mark ppc64 stable #384733.

*linux-headers-3.2 (07 Jan 2012)

  07 Jan 2012; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.2.ebuild:
  Version bump.

  06 Jan 2012; Brent Baude <ranger@gentoo.org> linux-headers-2.6.39.ebuild:
  Marking linux-headers-2.6.39 ppc for bug 384733

*linux-headers-3.1 (10 Dec 2011)

  10 Dec 2011; Mike Frysinger <vapier@gentoo.org> +linux-headers-3.1.ebuild:
  Version bump #380739 by Luca Lesinigo.

  04 Dec 2011; Raúl Porcel <armin76@gentoo.org> linux-headers-2.6.39.ebuild:
  alpha/ia64/m68k/s390/sh/sparc stable wrt #384733

  31 Oct 2011; Mike Frysinger <vapier@gentoo.org> linux-headers-2.6.39.ebuild:
  Newer kernel builds need perl #388941 by Bruno.

  28 Oct 2011; Markus Meier <maekke@gentoo.org> linux-headers-2.6.39.ebuild:
  arm stable, bug #384733

  23 Oct 2011; Markus Meier <maekke@gentoo.org> linux-headers-2.6.39.ebuild:
  x86 stable, bug #384733

  20 Oct 2011; Jeroen Roovers <jer@gentoo.org> linux-headers-2.6.39.ebuild:
  Stable for HPPA (bug #384733).

  14 Oct 2011; Samuli Suominen <ssuominen@gentoo.org>
  linux-headers-2.6.39.ebuild:
  amd64 stable wrt #384733

  29 Aug 2011; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.36.1.ebuild, linux-headers-2.6.38.ebuild,
  linux-headers-2.6.39.ebuild:
  Split src_unpack into src_prepare for EAPI=3.

*linux-headers-2.6.39 (15 Aug 2011)

  15 Aug 2011; Mike Frysinger <vapier@gentoo.org> +linux-headers-2.6.39.ebuild:
  Version bump #375517 by James Shaw.

  04 Apr 2011; Jeroen Roovers <jer@gentoo.org> linux-headers-2.6.36.1.ebuild:
  Stable for HPPA (bug #352335).

  02 Apr 2011; Raúl Porcel <armin76@gentoo.org> linux-headers-2.6.36.1.ebuild:
  alpha/ia64/m68k/s390/sh/sparc stable wrt #352335

*linux-headers-2.6.38 (18 Mar 2011)

  18 Mar 2011; Mike Frysinger <vapier@gentoo.org> +linux-headers-2.6.38.ebuild:
  Version bump.

  13 Mar 2011; Markus Meier <maekke@gentoo.org> linux-headers-2.6.36.1.ebuild:
  arm stable, bug #352335

  19 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
  linux-headers-2.6.36.1.ebuild:
  ppc/ppc64 stable wrt #352335

  16 Feb 2011; Markos Chandras <hwoarang@gentoo.org>
  linux-headers-2.6.36.1.ebuild:
  Stable on amd64 wrt bug #352335

  15 Feb 2011; Thomas Kahle <tomka@gentoo.org> linux-headers-2.6.36.1.ebuild:
  x86 stable per bug 352335

*linux-headers-2.6.36.1 (24 Nov 2010)

  24 Nov 2010; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.36.1.ebuild:
  Add files for mips and update to 2.6.36.1 #346591 by Matt Turner.

*linux-headers-2.6.36 (22 Nov 2010)

  22 Nov 2010; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.36.ebuild:
  Version bump.

  22 Nov 2010; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.35.ebuild:
  Add fix from upstream for make-3.82 and powerpc targets #342841 by Ian
  Johnson.

*linux-headers-2.6.35 (23 Aug 2010)

  23 Aug 2010; Mike Frysinger <vapier@gentoo.org> +linux-headers-2.6.35.ebuild:
  Version bump.

  23 Aug 2010; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  Mark s390 stable #273358 by Theo Chatzimichos.

  08 Aug 2010; Tobias Klausmann <klausman@gentoo.org>
  linux-headers-2.6.33.ebuild:
  Stable on alpha, so udev works

  12 Jun 2010; Joseph Jezak <josejx@gentoo.org> linux-headers-2.6.34.ebuild:
  Marked -ppc/-ppc64 due to bug #323435.

*linux-headers-2.6.34 (09 Jun 2010)

  09 Jun 2010; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.34.ebuild:
  Version bump.

  22 May 2010; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  sh stable

  12 Apr 2010; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  ia64/m68k/sparc stable wrt #273358

*linux-headers-2.6.33 (08 Mar 2010)

  08 Mar 2010; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.33.ebuild:
  Version bump.

  07 Mar 2010; Markus Meier <maekke@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  arm stable, bug #273358

  06 Mar 2010; Tobias Klausmann <klausman@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  Stable on alpha, bug #273358

  02 Mar 2010; Jeroen Roovers <jer@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  Stable for HPPA (bug #273358).

  23 Feb 2010; Markos Chandras <hwoarang@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  Stable on amd64 wrt bug #273358

  23 Feb 2010; Joseph Jezak <josejx@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  Marked ppc/ppc64 stable for bug #273358.

  21 Feb 2010; Jonathan Callen <abcd@gentoo.org>
  linux-headers-2.6.23-r3.ebuild, linux-headers-2.6.27-r2.ebuild,
  linux-headers-2.6.28-r1.ebuild, linux-headers-2.6.29.ebuild,
  linux-headers-2.6.30-r1.ebuild, linux-headers-2.6.32.ebuild:
  Transfer prefix keywords (no other changes)

  21 Feb 2010; Christian Faulhammer <fauli@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  stable x86, bug 273358

*linux-headers-2.6.32 (13 Feb 2010)

  13 Feb 2010; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.32.ebuild:
  Version bump #297755 by Brian Harring.

  17 Nov 2009; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.29.ebuild:
  Add ~sparc here as well

  17 Nov 2009; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.30-r1.ebuild:
  Add ~sparc

  04 Oct 2009; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.27-r2.ebuild, linux-headers-2.6.28-r1.ebuild,
  linux-headers-2.6.29.ebuild, linux-headers-2.6.30-r1.ebuild:
  Add Blackfin to the list of supported targets #287251.

  17 Aug 2009; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.27-r2.ebuild, linux-headers-2.6.28-r1.ebuild,
  linux-headers-2.6.29.ebuild, linux-headers-2.6.30-r1.ebuild:
  Depend on xz-utils or lzma-utils.

*linux-headers-2.6.30-r1 (25 Jul 2009)

  25 Jul 2009; Mark Loeser <halcy0n@gentoo.org>
  -linux-headers-2.6.30.ebuild, +linux-headers-2.6.30-r1.ebuild:
  Bump patchset to fix building glibc on ia64

  25 Jul 2009; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.30.ebuild:
  2.6.30 is broken on ia64

*linux-headers-2.6.30 (06 Jul 2009)

  06 Jul 2009; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.30.ebuild:
  Version bump.

  19 May 2009; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.27-r2.ebuild, linux-headers-2.6.28-r1.ebuild:
  Fix building with glibc-2.10 due to getline #270383 by David Hallas.

*linux-headers-2.6.29 (09 May 2009)

  09 May 2009; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.29.ebuild:
  Version bump.

  09 May 2009; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.27-r2.ebuild, linux-headers-2.6.28-r1.ebuild:
  Fix by Andrei Slavoiu for drm header install with cross builds #267145.

  16 Feb 2009; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.28-r1.ebuild:
  Remove mips/sh KEYWORDS as this version has broken bi-endian handling.

  23 Jan 2009; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.27-r2.ebuild:
  alpha/ia64 stable wrt #252645

  09 Jan 2009; Joseph Jezak <josejx@gentoo.org>
  linux-headers-2.6.27-r2.ebuild:
  Marked ppc/ppc64 for bug #262645.

  08 Jan 2009; Jeroen Roovers <jer@gentoo.org>
  linux-headers-2.6.27-r2.ebuild:
  Stable for HPPA (bug #252645).

  04 Jan 2009; Markus Meier <maekke@gentoo.org>
  linux-headers-2.6.27-r2.ebuild:
  amd64/x86 stable, bug #252645

  30 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
  linux-headers-2.6.27-r2.ebuild:
  Stable on sparc, bug #252645

*linux-headers-2.6.28-r1 (29 Dec 2008)

  29 Dec 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.28-r1.ebuild:
  Pull in linux/types.h in linux/serial.h #252721.

  27 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
  linux-headers-2.6.28.ebuild:
  Mark -sparc because we can't compile sys-libs/glibc with this one.
  http://lkml.org/lkml/2008/12/16/60

*linux-headers-2.6.28 (27 Dec 2008)

  27 Dec 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.28.ebuild:
  Version bump.

  02 Nov 2008; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.27-r2.ebuild:
  Workaround sparc64 install error #244640 by Lee Chen.

*linux-headers-2.6.27-r2 (27 Oct 2008)

  27 Oct 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.27-r2.ebuild:
  Fix fcntl.h conflicts #244470.

  26 Oct 2008; Mike Frysinger <vapier@gentoo.org> ChangeLog:
  Do no install random .install files #244482 by Davide Pesavento.

*linux-headers-2.6.27 (26 Oct 2008)

  26 Oct 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.27.ebuild:
  Version bump.

*linux-headers-2.6.26 (20 Aug 2008)

  20 Aug 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.26.ebuild:
  Version bump #234535.

  30 Jun 2008; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.24.ebuild:
  Downgrade ia64/sparc to 2.6.23, since it seems to have some bugs

*linux-headers-2.6.25-r4 (09 Jun 2008)

  09 Jun 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.25-r4.ebuild:
  Remove s6_addr* defines to stop clobbering glibc #225505.

*linux-headers-2.6.25-r3 (15 May 2008)

  15 May 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.25-r3.ebuild:
  Adjust HZ on alpha according to feedback from Linus.

  12 May 2008; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.24.ebuild:
  Stable on ppc64

*linux-headers-2.6.25-r2 (10 May 2008)

  10 May 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.25-r2.ebuild:
  Fix up HZ on alpha and friends #218858 by Tobias Klausmann.

  22 Apr 2008; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.25-r1.ebuild:
  2.6.25 is broken on alpha, see bug #218858

  21 Apr 2008; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.24.ebuild:
  ia64/sparc stable

*linux-headers-2.6.25-r1 (20 Apr 2008)

  20 Apr 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.25-r1.ebuild:
  Redo some of the libc injections and fixup some of the net-related code.

*linux-headers-2.6.25 (20 Apr 2008)

  20 Apr 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.25.ebuild:
  Version bump.

*linux-headers-2.4.36 (12 Apr 2008)

  12 Apr 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.4.36.ebuild:
  Version bump.

  12 Apr 2008; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.4.33.3.ebuild:
  Stabilize for everyone.

  04 Feb 2008; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.24.ebuild:
  Newer kernels include unifdef so we dont need to DEPEND on it anymore.

  27 Jan 2008; Christoph Mende <angelos@gentoo.org>
  linux-headers-2.6.23-r3.ebuild:
  Stable on amd64, bug #207386

*linux-headers-2.6.24 (26 Jan 2008)

  26 Jan 2008; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.24.ebuild:
  Version bump.

  25 Jan 2008; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.23-r3.ebuild:
  Expand the egrep check to look for short types like u64.

  31 Dec 2007; Raúl Porcel <armin76@gentoo.org>
  +linux-headers-2.6.17-r2.ebuild:
  Re-add linux-headers for alpha 2006.1 profile

*linux-headers-2.6.23-r3 (31 Dec 2007)

  31 Dec 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.23-r3.ebuild:
  Fix asm-x86_64/msr.h to pull in linux/types.h #197057 by Stolz.

  22 Dec 2007; Samuli Suominen <drac@gentoo.org>
  linux-headers-2.6.23-r2.ebuild:
  amd64 stable wrt #202666

  21 Dec 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.23-r2.ebuild:
  alpha/ia64/sparc stable wrt #202666

  21 Dec 2007; nixnut <nixnut@gentoo.org> linux-headers-2.6.23-r2.ebuild:
  Stable on ppc wrt bug 202666

  19 Dec 2007; Markus Meier <maekke@gentoo.org>
  linux-headers-2.6.23-r2.ebuild:
  x86 stable, bug #202666

  19 Dec 2007; Jeroen Roovers <jer@gentoo.org>
  linux-headers-2.6.23-r2.ebuild:
  Stable for HPPA (bug #202666).

*linux-headers-2.6.23-r2 (18 Nov 2007)

  18 Nov 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.23-r2.ebuild:
  Pull in linux/types.h in linux/mroute.h.

*linux-headers-2.6.23-r1 (13 Oct 2007)

  12 Nov 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.23-r1.ebuild:
  Version bump.

  09 Nov 2007; nixnut <nixnut@gentoo.org> linux-headers-2.6.22-r2.ebuild:
  Stable on ppc wrt bug 195704

  17 Oct 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.22-r2.ebuild:
  alpha/sparc stable wrt #195704

  15 Oct 2007; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.22-r2.ebuild:
  Stable on ppc64

  14 Oct 2007; Jeroen Roovers <jer@gentoo.org>
  linux-headers-2.6.22-r2.ebuild:
  Stable for HPPA (bug #195704).

*linux-headers-2.6.23 (13 Oct 2007)

  13 Oct 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.23.ebuild:
  Version bump.

  13 Oct 2007; Christoph Mende <angelos@gentoo.org>
  linux-headers-2.6.22-r2.ebuild:
  Stable on amd64 wrt bug #195704

  06 Oct 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.22-r2.ebuild:
  x86 stable

  03 Sep 2007; Joshua Kinard <kumba@gentoo.org> linux-headers-2.6.21.ebuild:
  Stable on mips, per #184691.

  27 Aug 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.22-r2.ebuild:
  ia64 stable

  06 Aug 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.17-r2.ebuild:
  alpha stable as discussed on irc

  25 Jul 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.6.21.ebuild:
  Stable on sparc wrt #184691

*linux-headers-2.6.22-r2 (25 Jul 2007)

  25 Jul 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.22-r2.ebuild:
  Fix linux/dvb/video.h #186568.

  22 Jul 2007; Joseph Jezak <josejx@gentoo.org> linux-headers-2.6.21.ebuild:
  Marked ppc stable for bug #184691.

  17 Jul 2007; Jeroen Roovers <jer@gentoo.org> linux-headers-2.6.21.ebuild:
  Stable for HPPA (bug #184691).

*linux-headers-2.6.22-r1 (15 Jul 2007)

  15 Jul 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.22-r1.ebuild:
  Disable 64bit swap funcs for ansi code #185175.

  15 Jul 2007; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.22.ebuild:
  Move into ~alpha now that aboot/binutils build.

  13 Jul 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  linux-headers-2.6.21.ebuild:
  Stable on amd64/x86 wrt bug #184691.

  09 Jul 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.21.ebuild:
  ia64 stable wrt #184691

  09 Jul 2007; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.21.ebuild:
  Stable on ppc64; bug #184691

  09 Jul 2007; Jose Luis Rivero <yoswink@gentoo.org>
  linux-headers-2.6.17-r2.ebuild:
  Marked ~alpha. Seems to work fine and following versions would break aboot
  due to the introduction of sanitized kernel headers. ATM this is our best
  option.

*linux-headers-2.6.22 (09 Jul 2007)

  09 Jul 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.22.ebuild:
  Version bump.

  19 Jun 2007; Raúl Porcel <armin76@gentoo.org>
  linux-headers-2.6.20-r2.ebuild:
  ia64 stable

  15 May 2007; Jeroen Roovers <jer@gentoo.org>
  linux-headers-2.6.20-r2.ebuild:
  Stable for HPPA (bug #168131).

  13 May 2007; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.6.19.2-r2.ebuild, linux-headers-2.6.20-r2.ebuild:
  Stable 2.6.19.2-r2 on mips, add ~mips to 2.6.20-r2.

*linux-headers-2.6.21 (02 May 2007)

  02 May 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.21.ebuild:
  Version bump.

  29 Mar 2007; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.8.1-r4.ebuild, linux-headers-2.6.11-r2.ebuild,
  linux-headers-2.6.11-r3.ebuild, linux-headers-2.6.11-r4.ebuild,
  linux-headers-2.6.11-r5.ebuild, linux-headers-2.6.11-r6.ebuild,
  linux-headers-2.6.16.ebuild, linux-headers-2.6.17.ebuild,
  linux-headers-2.6.17-r1.ebuild, linux-headers-2.6.17-r2.ebuild:
  Move from gcc-powerpc64 to kgcc64

*linux-headers-2.6.20-r2 (17 Mar 2007)

  17 Mar 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.20-r2.ebuild:
  Cleanup asm/page.h and asm/user.h removal some more.

  02 Mar 2007; Steve Dibb <beandog@gentoo.org>
  linux-headers-2.6.17-r2.ebuild:
  amd64 stable, bug 167091

  25 Feb 2007; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.6.19.2-r2.ebuild:
  linux-headers is the new thang for mips in 2007.1-dev. mips-headers is on
  its way out. To use this, please switch to using the 2007.1-dev mips
  profile.

*linux-headers-2.6.20-r1 (24 Feb 2007)

  24 Feb 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.20-r1.ebuild:
  Push out some SuperH and HPPA fixes.

  13 Feb 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.6.19.2-r2.ebuild:
  Stable on sparc wrt #146407 and other reasons

  11 Feb 2007; Bryan Østergaard <kloeri@gentoo.org>
  linux-headers-2.6.19.2-r2.ebuild, linux-headers-2.6.20.ebuild:
  linux-headers-2.6.19+ breaks binutils and aboot on Alpha.

*linux-headers-2.6.20 (04 Feb 2007)

  04 Feb 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.20.ebuild:
  Version bump.

  30 Jan 2007; Danny van Dyk <kugelfang@gentoo.org>
  linux-headers-2.6.17-r1.ebuild:
  Marked stable on amd64.

*linux-headers-2.6.19.2-r2 (28 Jan 2007)

  28 Jan 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.19.2-r2.ebuild:
  Fixup some exported ioctls.

  28 Jan 2007; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.19.2-r1.ebuild:
  Add support for FEATURES=test.

  18 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.4.26-r1.ebuild, linux-headers-2.4.33.3.ebuild,
  linux-headers-2.6.8.1-r4.ebuild, linux-headers-2.6.11-r2.ebuild,
  linux-headers-2.6.11-r3.ebuild, linux-headers-2.6.11-r4.ebuild,
  linux-headers-2.6.11-r5.ebuild, linux-headers-2.6.11-r6.ebuild,
  linux-headers-2.6.16.ebuild, linux-headers-2.6.17.ebuild,
  linux-headers-2.6.17-r1.ebuild, linux-headers-2.6.17-r2.ebuild:
  Switch to kgcc64 for sparc

*linux-headers-2.6.19.2-r1 (15 Jan 2007)

  15 Jan 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.19.2-r1.ebuild:
  Fixup ISO99 handling in linux/types.h #162144.

  14 Jan 2007; Joseph Jezak <josejx@gentoo.org>
  linux-headers-2.6.17-r2.ebuild:
  Marked ppc stable for bug #146407.

*linux-headers-2.6.19.2 (13 Jan 2007)

  13 Jan 2007; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.19.2.ebuild:
  Version bump.

*linux-headers-2.6.17-r2 (02 Dec 2006)

  02 Dec 2006; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.17-r2.ebuild:
  Fix for ipmi #150864 and nbd #149074.

*linux-headers-2.6.19 (02 Dec 2006)

  02 Dec 2006; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.19.ebuild:
  Version bump.

  11 Oct 2006; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.17-r1.ebuild:
  Stable on ppc64

*linux-headers-2.6.18 (08 Oct 2006)

  08 Oct 2006; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.6.18.ebuild:
  Version bump #149012 by Arfrever Frehtes Taifersar Arahesis.

  24 Sep 2006; Michael Hanselmann <hansmi@gentoo.org>
  linux-headers-2.6.17-r1.ebuild:
  Added to ~ppc.

  20 Sep 2006; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.17-r1.ebuild:
  Added ~ppc64

  19 Sep 2006; Jason Wever <weeve@gentoo.org>
  linux-headers-2.6.17-r1.ebuild:
  Added ~sparc keyword.

*linux-headers-2.6.17-r1 (16 Sep 2006)

  16 Sep 2006; Tim Yamin <plasmaroo@gentoo.org>
  +linux-headers-2.6.17-r1.ebuild:
  Fix #144082, #145512, #146407. Stable on x86.

  13 Sep 2006; Luca Barbato <lu_zero@gentoo.org>
  linux-headers-2.6.16.ebuild:
  Marked ppc

  04 Sep 2006; Tim Yamin <plasmaroo@gentoo.org>
  linux-headers-2.6.11-r5.ebuild:
  Stable on x86; bug #146234.

  04 Sep 2006; Luca Barbato <lu_zero@gentoo.org>
  linux-headers-2.6.16.ebuild, linux-headers-2.6.17.ebuild:
  Remove ppc workarounds

*linux-headers-2.2.26-r1 (03 Sep 2006)
*linux-headers-2.0.40-r1 (03 Sep 2006)

  03 Sep 2006; Mike Frysinger <vapier@gentoo.org>
  -linux-headers-2.0.40.ebuild, +linux-headers-2.0.40-r1.ebuild,
  -linux-headers-2.2.26.ebuild, +linux-headers-2.2.26-r1.ebuild:
  Update to kernel-2 eclass.

*linux-headers-2.4.33.3 (03 Sep 2006)

  03 Sep 2006; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.4.33.3.ebuild:
  Version bump.

  22 Aug 2006; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.16.ebuild, linux-headers-2.6.17.ebuild:
  2.6.16 stable on ppc64; 2.6.17 now ~ppc64

  13 Aug 2006; <plasmaroo@gentoo.org> linux-headers-2.6.17.ebuild:
  Fix #139086, #139973, #140679, #143804.

  07 Aug 2006; <plasmaroo@gentoo.org> linux-headers-2.6.16.ebuild:
  Fix bug #130933.

  07 Aug 2006; <plasmaroo@gentoo.org> linux-headers-2.6.17.ebuild:
  Keyword ~x86, fix bug #142994.

  28 Jul 2006; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild,
  linux-headers-2.6.11-r3.ebuild, linux-headers-2.6.11-r4.ebuild,
  linux-headers-2.6.11-r5.ebuild, linux-headers-2.6.11-r6.ebuild:
  Fix bug #132332.

  26 Jul 2006; Michael Hanselmann <hansmi@gentoo.org>
  linux-headers-2.6.16.ebuild:
  Added to ~ppc.

  12 Jul 2006; Danny van Dyk <kugelfang@gentoo.org>
  linux-headers-2.4.21.ebuild, linux-headers-2.4.21-r1.ebuild,
  linux-headers-2.4.23.ebuild, linux-headers-2.4.26.ebuild:
  QA: Added gcc64 to IUSE.

*linux-headers-2.6.17 (02 Jul 2006)

  02 Jul 2006; <plasmaroo@gentoo.org> +linux-headers-2.6.17.ebuild:
  Version bump; fix #120971, #136941.

  09 Jun 2006; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.16.ebuild:
  Added ~ppc64

  05 Jun 2006; Guy Martin <gmsoft@gentoo.org>
  linux-headers-2.6.11-r5.ebuild:
  Stable on hppa.

  30 May 2006; <plasmaroo@gentoo.org> linux-headers-2.6.16.ebuild:
  Keywording ~amd64.

  26 May 2006; <plasmaroo@gentoo.org> linux-headers-2.6.16.ebuild:
  Fix #128028, #130508, #130521, #130933, #131609.

  26 May 2006; <plasmaroo@gentoo.org> linux-headers-2.6.11-r6.ebuild:
  Stable on IA64.

  17 May 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.6.11-r6.ebuild:
  Stable on sparc

*linux-headers-2.6.11-r6 (09 May 2006)

  09 May 2006; <plasmaroo@gentoo.org> +linux-headers-2.6.11-r6.ebuild:
  Fixup xorg on IA64; libgii on sparc.

  08 May 2006; Aron Griffis <agriffis@gentoo.org>
  linux-headers-2.6.11-r5.ebuild:
  Mark 2.6.11-r5 ~ia64

  06 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  linux-headers-2.6.11-r4.ebuild:
  Replace malloc.h with stdlib.h when building on FreeBSD libc.

  29 Apr 2006; <plasmaroo@gentoo.org> linux-headers-2.6.11-r5.ebuild:
  Fix #131005.

*linux-headers-2.6.11-r5 (19 Apr 2006)

  19 Apr 2006; <plasmaroo@gentoo.org> +linux-headers-2.6.11-r5.ebuild:
  Fix #119374, #121657, #122929, #128028.

  18 Apr 2006; <plasmaroo@gentoo.org> linux-headers-2.6.16.ebuild:
  Fix #130026, #130032.

  09 Apr 2006; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.11-r4.ebuild:
  Stable on ppc64 (we need this stable for libgii - see bug #97991)

  02 Apr 2006; Joseph Jezak <josejx@gentoo.org>
  linux-headers-2.6.11-r4.ebuild:
  Marked ppc stable to fix bug #127778 and #115708.

*linux-headers-2.6.16 (25 Mar 2006)

  25 Mar 2006; <plasmaroo@gentoo.org> -linux-headers-2.6.15_rc6.ebuild,
  +linux-headers-2.6.16.ebuild:
  Version bump; fix #119875, #120107.

  14 Mar 2006; Mark Loeser <halcy0n@gentoo.org>
  linux-headers-2.4.26-r1.ebuild:
  Stable on x86; bug #124221

  12 Mar 2006; Simon Stelling <blubb@gentoo.org>
  linux-headers-2.6.11-r3.ebuild, linux-headers-2.6.15_rc6.ebuild:
  set ABI=; bug 119012

  10 Mar 2006; Aron Griffis <agriffis@gentoo.org>
  linux-headers-2.6.11-r4.ebuild:
  Mark 2.6.11-r4 stable on ia64

  27 Feb 2006; Simon Stelling <blubb@gentoo.org>
  linux-headers-2.4.21.ebuild, linux-headers-2.4.21-r1.ebuild,
  linux-headers-2.4.26.ebuild, linux-headers-2.4.26-r1.ebuild:
  kernel 2.4 isn't supported on amd64, dropping keywords; bug 124221

  16 Feb 2006; Aron Griffis <agriffis@gentoo.org>
  linux-headers-2.6.11-r4.ebuild:
  Mark 2.6.11-r4 ~ia64, fixes joystick.h issue on ia64 for kdebase compilation

  15 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  linux-headers-2.6.11-r2.ebuild, linux-headers-2.6.11-r3.ebuild,
  linux-headers-2.6.11-r4.ebuild:
  Add support for blackfin devices.

  07 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +files/2.6.11-s390-cflags-update.patch, linux-headers-2.6.11-r2.ebuild,
  linux-headers-2.6.11-r3.ebuild:
  Minor fix for s390/gcc-4 from upstream.

  05 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.6.11-r4.ebuild:
  Stable on sparc

  03 Jan 2006; Bryan Østergaard <kloeri@gentoo.org
  linux-headers-2.6.11-r4.ebuild:
  Stable on alpha to fix bug 115705.

  30 Dec 2005; <plasmaroo@gentoo.org> linux-headers-2.6.15_rc6.ebuild:
  Fix glibc compile; start running headers___fix on all the headers
  by default.

  28 Dec 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r4.ebuild:
  Fix joystick.h issue on SPARC.

  27 Dec 2005; Bryan Østergaard <kloeri@gentoo.org
  linux-headers-2.6.11-r4.ebuild:
  More Alpha inline fixes.

  22 Dec 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r4.ebuild:
  Fix libgii on SPARC and PPC64 (#97991).

*linux-headers-2.6.11-r4 (21 Dec 2005)

  21 Dec 2005; <plasmaroo@gentoo.org> +linux-headers-2.6.11-r4.ebuild,
  +linux-headers-2.6.15_rc6.ebuild:
  Fix #100703, #114767.

  19 Dec 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r3.ebuild:
  Fix #112722, #115708.

  16 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.4.26-r1.ebuild:
  Stable on sparc

  28 Nov 2005; Bryan Østergaard <kloeri@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  Stable on alpha.

  22 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.4.26-r1.ebuild:
  sparc64 bootstrap DEP fix

  21 Nov 2005; Mike Frysinger <vapier@gentoo.org>
  +files/linux-headers-2.4-errno-in-unistd.patch,
  linux-headers-2.4.26-r1.ebuild:
  Add the unistd.h errno.h fix from 2.6 headers.

*linux-headers-2.6.11-r3 (18 Nov 2005)

  18 Nov 2005; <plasmaroo@gentoo.org> +linux-headers-2.6.11-r3.ebuild:
  Fix #82243, #100659, #104845, #108521.

  31 Oct 2005; Bryan Østergaard <kloeri@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  ~alpha keyword.

  28 Oct 2005; <dostrow@gentoo.org> +files/2.6.11-ppc64-32ul-spinlock.patch,
  linux-headers-2.6.11-r2.ebuild:
  Add patch for bug #103374 and bug #109501.
  Will have plasmaroo add to the patchball when he returns.

  26 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  linux-headers-2.4.26-r1.ebuild:
  Added x86 support and marked ~x86 for bug #109754.

  29 Sep 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  SPARC non-multi DEP fix needed here too

  06 Sep 2005; Jeremy Huddleston <eradicator@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  Added to ~sparc.

  03 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  Stable on ppc.

  25 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/linux-headers-2.4-arm-cris-ELF_DATA.patch,
  linux-headers-2.4.26-r1.ebuild:
  Fix ELF_DATA defines for arm/cris.

  25 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.6.8.1-r4.ebuild:
  sparc non-multilib fix

  28 Jul 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild:
  Fix #100080.

  21 Jul 2005; Michael Sterrett <mr_bones_@gentoo.org>
  linux-headers-2.0.40.ebuild, linux-headers-2.2.26.ebuild,
  linux-headers-2.4.21.ebuild, linux-headers-2.4.21-r1.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.22-r1.ebuild,
  linux-headers-2.4.23.ebuild, linux-headers-2.4.25.ebuild,
  linux-headers-2.4.26.ebuild:
  remove old virtual: virtual/kernel

  18 Jul 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild:
  Fix #82243, #99275, add S390 fixes.

  09 Jul 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild:
  Fix #97556, #98443.

  09 Jul 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild,
  linux-headers-2.6.8.1-r4.ebuild:
  Fix <spinlock.h> issues on PPC64/PPC multilib.

  06 Jul 2005; Daniel Ostrow <dostrow@gentoo.org>
  linux-headers-2.6.8.1-r4.ebuild, linux-headers-2.6.11-r2.ebuild:
  Add a dep on sys-devel/gcc-powerpc64 if the user is using a 32bit userland
  with a ppc64 kernel.

  05 Jul 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild:
  Stable on x86 and amd64.

  03 Jul 2005; Joseph Jezak <josejx@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  Marked ~ppc.

  02 Jul 2005; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  Stable on ppc64 again

  02 Jul 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild,
  -linux-headers-2.6.8.1-r2.ebuild, linux-headers-2.6.8.1-r4.ebuild,
  -files/linux-headers-2.6*
  Move patches out of files/.

  28 Jun 2005; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.11-r2.ebuild:
  Stable on ppc64

  24 Jun 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11-r2.ebuild:
  Stable on IA64.

*linux-headers-2.6.11-r2 (17 Jun 2005)

  17 Jun 2005; <plasmaroo@gentoo.org> -linux-headers-2.6.11-r1.ebuild,
  +linux-headers-2.6.11-r2.ebuild, files/linux-headers-2.6.11-appCompat.patch:
  Fix kbd on PPC, bounds-checking on AMD64, and C++-happiness for list.h.

*linux-headers-2.6.11-r1 (29 May 2005)

  29 May 2005; <plasmaroo@gentoo.org> +linux-headers-2.6.11-r1.ebuild,
  -linux-headers-2.6.11.ebuild, files/linux-headers-2.6.11-appCompat.patch:
  Fix #93609, #94256 (version bump).

  24 May 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #89770, #91507, #92816.

  18 May 2005; Sven Wegener <swegener@gentoo.org>
  linux-headers-2.4.21.ebuild, linux-headers-2.4.21-r1.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.22-r1.ebuild,
  linux-headers-2.4.23.ebuild, linux-headers-2.4.25.ebuild,
  linux-headers-2.4.26.ebuild, linux-headers-2.4.26-r1.ebuild,
  linux-headers-2.6.11.ebuild:
  Changed order of inherits to stop eclasses from overwriting the DESCRIPTION.

  12 May 2005; Markus Rothe <corsair@gentoo.org>
  linux-headers-2.6.11.ebuild:
  Added ~ppc64 to KEYWORDS

  09 May 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #90261.

  05 May 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.4.26-r1.ebuild:
  Tested and set up for sparc, keyworded ~sparc

  29 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.8.1-appCompat.patch:
  Fix #90455.

  24 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #90203.

  24 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch,
  files/linux-headers-2.6.8.1-appCompat.patch:
  Fix #87513.

  24 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.8.1-appCompat.patch:
  Backport #86968 fix to 2.6.8.1 headers.

  21 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #89836.

  20 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #84353, #89387.

  18 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #82690.

  14 Apr 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.11-appCompat.patch:
  Fix #86968.

  06 Apr 2005; Sven Wegener <swegener@gentoo.org> :
  Fixed digests for KV_EXTRA suport in kernel-2.eclass.

*linux-headers-2.4.26-r1 (30 Mar 2005)

  30 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +linux-headers-2.4.26-r1.ebuild:
  Version bump / kernel-2.eclass for arm support.

  28 Mar 2005; Bryan Østergaard <kloeri@gentoo.org>
  linux-headers-2.6.8.1-r2.ebuild:
  Stable on alpha.

  28 Mar 2005; Joseph Jezak <josejx@gentoo.org>
  linux-headers-2.6.8.1-r4.ebuild:
  Marked ppc stable for 2005.0.

  15 Mar 2005; <plasmaroo@gentoo.org> linux-headers-2.6.11.ebuild:
  Add m68k KEYWORD back in.

*linux-headers-2.6.11 (15 Mar 2005)

  15 Mar 2005; <plasmaroo@gentoo.org> -linux-headers-2.6.10.ebuild,
  +linux-headers-2.6.11.ebuild, -files/linux-headers-2.6.10-appCompat.patch,
  +files/linux-headers-2.6.11-appCompat.patch:
  Bump to 2.6.11; fix #85106.

  06 Mar 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.10-appCompat.patch:
  Fix gnome-applets; #83550.

  28 Feb 2005; <solar@gentoo.org> metadata.xml,
  linux-headers-2.4.22-r1.ebuild:
  Marking x86 2.4.x pic aware syscall headers stable on x86, added a
  description to the metadata.xml for plasmaroo and kumba's roles.

  16 Feb 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.10-appCompat.patch:
  Fix rp-pppoe.

  14 Feb 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.10-appCompat.patch:
  Add a usbutils fix; #81882.

  13 Feb 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.8.1-appCompat.patch:
  Fix sysklogd on IA64; update userspace detection for newer glibcs on IA64
  as well.

*linux-headers-2.4.22-r1 (12 Feb 2005)

  12 Feb 2005; <solar@gentoo.org> +files/unistd.h-i386-pic.patch,
  +linux-headers-2.4.22-r1.ebuild:
  - ~x86 pic syscall macros

  12 Feb 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.10-appCompat.patch:
  Fix net-tools compile.

*linux-headers-2.6.10 (08 Feb 2005)

  08 Feb 2005; <plasmaroo@gentoo.org> +linux-headers-2.6.10.ebuild,
  +files/linux-headers-2.6.10-appCompat.patch,
  +files/linux-headers-2.6.10-generic-arm-prepare.patch:
  Version bump; also fixes #79252, #79939 (thanks Kevin Quinn) and #80552.

  03 Feb 2005; <plasmaroo@gentoo.org> linux-headers-2.6.8.1-r2.ebuild,
  linux-headers-2.6.8.1-r4.ebuild,
  files/linux-headers-2.6.8.1-appCompat.patch:
  Fix efibootmgr compilation on IA64.

  22 Jan 2005; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.8.1-appCompat.patch:
  Fixing howl compilation on IA64.

  13 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  linux-headers-2.6.8.1-r2.ebuild, linux-headers-2.6.8.1-r4.ebuild:
  Added missing detect_version.

*linux-headers-2.6.8.1-r4 (13 Jan 2005)

  13 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -files/generate-asm-amd64, files/linux-headers-2.6.8.1-appCompat.patch,
  -files/linux-headers-2.6.8.1-sparc-glibcsafe.patch,
  linux-headers-2.6.8.1-r2.ebuild, -linux-headers-2.6.8.1-r3.ebuild,
  +linux-headers-2.6.8.1-r4.ebuild:
  Merged sparc-glibc.patch ingo appcompat.patch to avoid filecount bloat.
  Revbump to add #include <linux/compiler.h> and force upgrade for people who
  grabbed it with the bad kernel-2.eclass.

*linux-headers-2.6.8.1-r2 (11 Jan 2005)

  11 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/linux-headers-2.6.0-fb.patch,
  +files/linux-headers-2.6.0-sysctl_h-compat.patch,
  +files/linux-headers-2.6.7-generic-arm-prepare.patch,
  +files/linux-headers-2.6.8.1-appCompat.patch,
  +files/linux-headers-2.6.8.1-arm-float.patch,
  +files/linux-headers-2.6.8.1-parisc-syscall.patch,
  +files/linux-headers-2.6.8.1-sparc-glibcsafe.patch,
  +files/linux-headers-2.6.8.1-strict-ansi-fix.patch,
  +linux-headers-2.6.8.1-r2.ebuild, +linux-headers-2.6.8.1-r3.ebuild:
  Bring 2.6 headers back from linux26-headers.

  14 Nov 2004; Markus Rothe <corsair@gentoo.org> linux-headers-2.4.22.ebuild:
  Added a ppc64 patch for soundcard support.

  06 Oct 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.23.ebuild:
  Workaround for cascading profiles on sparc64

  04 Oct 2004; <iggy@gentoo.org> linux-headers-2.4.26.ebuild:
  switched custom ARCH setting code to use set_arch_to_* from eutils

  17 Aug 2004; Aron Griffis <agriffis@gentoo.org> linux-headers-2.4.23.ebuild:
  stable on alpha

*linux-headers-2.6.99 (09 Jul 2004)

  09 Jul 2004; Travis Tilley <lv@gentoo.org> +linux-headers-2.6.99.ebuild:
  added an ebuild to help migrating 2.6 kernel header users

  09 Jul 2004; Travis Tilley <lv@gentoo.org>
  -files/linux-headers-2.6.0-appCompat.patch,
  -files/linux-headers-2.6.0-fb.patch,
  -files/linux-headers-2.6.0-strict-ansi-fix.patch,
  -files/linux-headers-2.6.0-sysctl_h-compat.patch,
  -files/linux-headers-2.6.3-appCompat.patch,
  -files/linux-headers-2.6.3-strict-ansi-fix.patch,
  -files/linux-headers-2.6.4-appCompat.patch,
  -files/linux-headers-2.6.4-unistd-nptl-fix.patch,
  -files/linux-headers-2.6.6-appCompat.patch,
  -files/linux-headers-2.6.6-tcp_info-DRS-backport.patch,
  -files/linux-headers-2.6.7-appCompat.patch, linux-headers-2.0.40.ebuild,
  linux-headers-2.2.26.ebuild, linux-headers-2.4.21-r1.ebuild,
  linux-headers-2.4.21.ebuild, linux-headers-2.4.22.ebuild,
  linux-headers-2.4.23.ebuild, linux-headers-2.4.25.ebuild,
  linux-headers-2.4.26.ebuild, -linux-headers-2.6.1.ebuild,
  -linux-headers-2.6.3-r1.ebuild, -linux-headers-2.6.4.ebuild,
  -linux-headers-2.6.5.ebuild, -linux-headers-2.6.6-r1.ebuild,
  -linux-headers-2.6.6.ebuild, -linux-headers-2.6.7-r1.ebuild:
  moved all 2.6 header packages into linux26-headers and updated dependencies so
  that linux-headers conflicts with virtual/os-headers

  03 Jul 2004; Michal Januszewski <spock@gentoo.org>
  linux-headers-2.6.7-r1.ebuild:
  Removed the nptl-fix patch from 2.6.7 ebuild, as this has been fixed in
  upstream. Closes bug #55165.

*linux-headers-2.6.7-r1 (28 Jun 2004)

  28 Jun 2004; <plasmaroo@gentoo.org> +linux-headers-2.6.7-r1.ebuild,
  -linux-headers-2.6.7.ebuild, files/linux-headers-2.6.7-appCompat.patch:
  Removing forced inlining from the 2.6.7 headers; this should solve inlining
  issues for GCC 3.4 users.

  24 Jun 2004; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.7-appCompat.patch:
  Added a few missing bits from <linux/compiler.h> that were removed from
  upstream but are still needed. Fixes bug #54542.

  24 Jun 2004; <plasmaroo@gentoo.org> linux-headers-2.6.6-r1.ebuild:
  Added "cd ${S}" so this doesn't fail under amd64. Closes bug #54949.

  23 Jun 2004; Aron Griffis <agriffis@gentoo.org> linux-headers-2.2.26.ebuild,
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.23.ebuild,
  linux-headers-2.4.25.ebuild, linux-headers-2.4.26.ebuild,
  linux-headers-2.6.1.ebuild, linux-headers-2.6.3-r1.ebuild,
  linux-headers-2.6.4.ebuild, linux-headers-2.6.5.ebuild,
  linux-headers-2.6.6-r1.ebuild, linux-headers-2.6.6.ebuild,
  linux-headers-2.6.7.ebuild:
  QA - fix use invocation and don't subshell epatch

*linux-headers-2.6.6-r1 (22 Jun 2004)

  22 Jun 2004; <plasmaroo@gentoo.org> +linux-headers-2.6.6-r1.ebuild,
  +files/linux-headers-2.6.6-tcp_info-DRS-backport.patch:
  Backporting the 2.6.7 TCP header change upstream so that iproute2 compiles
  fine on amd64.

*linux-headers-2.6.7 (19 Jun 2004)

  19 Jun 2004; <plasmaroo@gentoo.org> +linux-headers-2.6.7.ebuild,
  +files/linux-headers-2.6.7-appCompat.patch:
  Version bump.

  19 Jun 2004; <malc@gentoo.org> linux-headers-2.6.6.ebuild:
  Mark stable for release - amd64 needs this DEP for glibc 20040605

  04 Jun 2004; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.6-appCompat.patch:
  Added a patch to linux-headers-2.6.6 to solve sash issues on ARM and possibly
  other architectures. Closes bug #42527.

  03 Jun 2004; Travis Tilley <lv@gentoo.org> linux-headers-2.6.6.ebuild:
  added ~amd64 to keywords

*linux-headers-2.6.6 (03 Jun 2004)

  03 Jun 2004; <plasmaroo@gentoo.org> +linux-headers-2.6.6.ebuild,
  +files/linux-headers-2.6.6-appCompat.patch:
  Version bump.

  02 Jun 2004; Travis Tilley <lv@gentoo.org> linux-headers-2.4.26.ebuild:
  added ~amd64 keyword

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> linux-headers-2.4.25.ebuild,
  linux-headers-2.4.26.ebuild, linux-headers-2.6.1.ebuild,
  linux-headers-2.6.3-r1.ebuild, linux-headers-2.6.4.ebuild,
  linux-headers-2.6.5.ebuild:
  Add inherit eutils

*linux-headers-2.4.26 (22 Apr 2004)

  22 Apr 2004; Joshua Kinard <kumba@gentoo.org> +linux-headers-2.4.26.ebuild:
  Version Bump.

  14 Apr 2004; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.23.ebuild,
  linux-headers-2.4.25.ebuild, linux-headers-2.6.1.ebuild,
  linux-headers-2.6.3-r1.ebuild, linux-headers-2.6.4.ebuild,
  linux-headers-2.6.5.ebuild:
  Fixed up how the generate-asm-sparc script is handled. Instead of attempting
  to chmod it in FILEDIR, we copy it to WORKDIR first and then chmod it, incase it loses it's
  permissions. This avoids sandbox violations.

  12 Apr 2004; Daniel Ahlberg <aliz@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.23.ebuild:
  Add eutils to inherit, add IUSE=

  12 Apr 2004; Travis Tilley <lv@gentoo.org> linux-headers-2.6.4.ebuild,
  linux-headers-2.6.5.ebuild:
  added a patch that allows glibc to compile with nptl support on amd64

  11 Apr 2004; Joshua Kinard <kumba@gentoo.org> linux-headers-2.0.40.ebuild,
  linux-headers-2.2.26.ebuild, linux-headers-2.4.21-r1.ebuild,
  linux-headers-2.4.21.ebuild, linux-headers-2.4.22.ebuild,
  linux-headers-2.4.23.ebuild, linux-headers-2.4.25.ebuild,
  linux-headers-2.6.1.ebuild, linux-headers-2.6.3-r1.ebuild,
  linux-headers-2.6.4.ebuild, linux-headers-2.6.5.ebuild:
  More cleanups in the sed code for setting ARCH. Eliminates the i386_64 bug on
  amd64.

  11 Apr 2004; Joshua Kinard <kumba@gentoo.org> linux-headers-2.6.1.ebuild,
  linux-headers-2.6.3-r1.ebuild, linux-headers-2.6.4.ebuild,
  linux-headers-2.6.5.ebuild:
  Typo fixes: the "-e s/i386_64/x86_64/" parts of the sed command in pkg_setup
  got cut off in the last update.

*linux-headers-2.0.40 (10 Apr 2004)

  10 Apr 2004; Joshua Kinard <kumba@gentoo.org> linux-headers-2.0.40.ebuild,
  linux-headers-2.2.20.ebuild, linux-headers-2.2.21_pre3.ebuild,
  linux-headers-2.2.26.ebuild, linux-headers-2.4.16-r1.ebuild,
  linux-headers-2.4.16-r3.ebuild, linux-headers-2.4.16.ebuild,
  linux-headers-2.4.17-r3.ebuild, linux-headers-2.4.17-r4.ebuild,
  linux-headers-2.4.17-r5.ebuild, linux-headers-2.4.18-r1.ebuild,
  linux-headers-2.4.18-r2.ebuild, linux-headers-2.4.18.ebuild,
  linux-headers-2.4.19-r1.ebuild, linux-headers-2.4.19.ebuild:
  Cleaned out old ebuilds (2.4.16->2.4.19), removed old 2.2.2{0,1} ebuilds, and
  added ebuilds for 2.0.40 and 2.2.26

  09 Apr 2004; Brian Jackson <iggy@gentoo.org> linux-headers-2.4.22.ebuild:
  added s390 keyword

  07 Apr 2004; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.23.ebuild,
  linux-headers-2.4.25.ebuild, linux-headers-2.6.1.ebuild,
  linux-headers-2.6.3-r1.ebuild, linux-headers-2.6.4.ebuild,
  linux-headers-2.6.5.ebuild:
  Moved the mips checking code into pkg_setup and added hppa to the check (both
  have their own headers packages)

*linux-headers-2.6.5 (07 Apr 2004)

  07 Apr 2004; <plasmaroo@gentoo.org> +linux-headers-2.6.5.ebuild:
  Version bump.

  03 Apr 2004; Jason Wever <weeve@gentoo.org> linux-headers-2.4.23.ebuild:
  Stable on sparc.

  21 Mar 2004; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.23.ebuild,
  linux-headers-2.4.25.ebuild, linux-headers-2.6.3-r1.ebuild,
  linux-headers-2.6.4.ebuild:
  Bump linux-2.4.21-r1 headers to x86 stable, as it has a patch that fixes Bug
  #32246 for x86. Also tweaked how headers for sparc systems are handled. For
  sparc32, generate-sparc-asm is no longer used and headers are copied as-is,
  but for sparc64, generate-sparc-asm gets used to get headers generated
  properly.

*linux-headers-2.6.4 (13 Mar 2004)

  13 Mar 2004; <plasmaroo@gentoo.org> linux-headers-2.6.4.ebuild,
  files/linux-headers-2.6.4-appCompat.patch:
  Version bump; also fixes bugs #40419 and #44265.

  13 Mar 2004; Seemant Kulleen <seemant@gentoo.org>
  linux-headers-2.2.20.ebuild, linux-headers-2.2.21_pre3.ebuild,
  linux-headers-2.4.16-r1.ebuild, linux-headers-2.4.16-r3.ebuild,
  linux-headers-2.4.16.ebuild, linux-headers-2.4.17-r3.ebuild,
  linux-headers-2.4.17-r4.ebuild, linux-headers-2.4.17-r5.ebuild,
  linux-headers-2.4.18-r1.ebuild, linux-headers-2.4.18-r2.ebuild,
  linux-headers-2.4.18.ebuild, linux-headers-2.4.19-r1.ebuild,
  linux-headers-2.4.19.ebuild:
  console-tools has been PROVIDEd by sys-apps/kbd for the longest time, so
  changed the dependency info to sys-apps/kbd from sys-apps/console-tools

  08 Mar 2004; Jason Wever <weeve@gentoo.org> linux-headers-2.4.23.ebuild:
  Added ~sparc keyword to help resolve bug #43233.

*linux-headers-2.4.25 (07 Mar 2004)

  07 Mar 2004; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.23.ebuild,
  linux-headers-2.4.25.ebuild:
  New headers revision, keyword masked.

  07 Mar 2004; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.4.19-r1.ebuild:
  mips keywords don't belong in linux-headers, removing.

  03 Mar 2004; <agriffis@gentoo.org> linux-headers-2.4.23.ebuild:
  Add back -* for bug 43670 even though I don't quite get it yet

  03 Mar 2004; <agriffis@gentoo.org> linux-headers-2.4.23.ebuild:
  Add alpha and ia64 keywords to linux-headers-2.4.23 which should fix
  compilation of many userland applications (such as sash) which could not build
  with the older headers.

  02 Mar 2004; Brian Jackson <iggy@gentoo.org> linux-headers-2.4.21-r1.ebuild:
  s390 keywords

  29 Feb 2004; <plasmaroo@gentoo.org>
  files/linux-headers-2.6.3-strict-ansi-fix.patch:
  Added Kevin Owen's contributed patch porting our X86 specific
  compatibility patches to AMD64. Closes bug #43520. Thanks!

*linux-headers-2.6.3-r1 (22 Feb 2004)

  22 Feb 2004; <plasmaroo@gentoo.org> linux-headers-2.6.3-r1.ebuild,
  linux-headers-2.6.3.ebuild, files/linux-headers-2.6.3-strict-ansi-fix.patch:
  Version bump; resolves bug #42239.

*linux-headers-2.6.3 (19 Feb 2004)

  19 Feb 2004; <plasmaroo@gentoo.org> linux-headers-2.6.3.ebuild,
  files/linux-headers-2.6.3-appCompat.patch,
  files/linux-headers-2.6.3-strict-ansi-fix.patch:
  Version bump. Closes bug #42153.

  15 Feb 2004; Jason Wever <weeve@gentoo.org> linux-headers-2.4.21-r1.ebuild:
  Marked stable on sparc, fixes bug #26062.

*linux-headers-2.6.1 (08 Feb 2004)

  08 Feb 2004; <plasmaroo@gentoo.org> linux-headers-2.6.1.ebuild,
  files/linux-headers-2.6.0-appCompat.patch:
  Version bump. Closes bugs #40438 and #38357.

  02 Feb 2004; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild:
  Bumped 2.4.21 headers to x86 stable, and 2.4.22 to x86 unstable.

  28 Jan 2004; Aron Griffis <agriffis@gentoo.org> linux-headers-2.4.21.ebuild:
  stable on alpha and ia64

  22 Jan 2004; Michal 'Spock' Januszewski <spock@gentoo.org>
  linux-headers-2.6.0.ebuild, files/linux-headers-2.6.0-fb.patch:
  Added a fix for linux/fb.h. This should close bugs #38737 and #38603.

  16 Jan 2004; Bartosch Pixa <darkspecter@gentoo.org>
  linux-headers-2.4.22.ebuild:
  set ppc in keywords

  08 Jan 2004; Brian Jackson <iggy@gentoo.org> linux-headers-2.2.20.ebuild,
  linux-headers-2.2.21_pre3.ebuild, linux-headers-2.4.16-r1.ebuild,
  linux-headers-2.4.16-r3.ebuild, linux-headers-2.4.16.ebuild,
  linux-headers-2.4.17-r3.ebuild, linux-headers-2.4.17-r4.ebuild,
  linux-headers-2.4.17-r5.ebuild, linux-headers-2.4.18-r1.ebuild,
  linux-headers-2.4.18-r2.ebuild, linux-headers-2.4.18.ebuild,
  linux-headers-2.4.19-r1.ebuild, linux-headers-2.4.19.ebuild,
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild, linux-headers-2.4.23.ebuild,
  linux-headers-2.6.0.ebuild:
  updated ebuild Copyright years

*linux-headers-2.6.0 (24 Dec 2003)

  24 Dec 2003; <plasmaroo@gentoo.org> linux-headers-2.6.0.ebuild,
  linux-headers-2.6.0_beta11.ebuild,
  files/linux-headers-2.6.0-appCompat.patch:
  Version bump - this version has been patched to support some applications
  which did not compile on 2.6. Please report any bugs to http://bugs.gentoo.org
  or plasmaroo@gentoo.org

  11 Dec 2003; <plasmaroo@gentoo.org>
  files/linux-headers-strict-ansi-fix.patch:
  Updated the 'linux-headers-strict-ansi-fix.patch' patch to fix problematic
  packages such as kdemultimedia with ANSI compilation errors; this should close
  bug #32246. Thanks to all those involved in testing this.

  09 Dec 2003; <spider@gentoo.org> linux-headers-2.2.20.ebuild,
  linux-headers-2.2.21_pre3.ebuild, linux-headers-2.4.16-r1.ebuild,
  linux-headers-2.4.16-r3.ebuild, linux-headers-2.4.16.ebuild,
  linux-headers-2.4.17-r3.ebuild, linux-headers-2.4.17-r4.ebuild,
  linux-headers-2.4.17-r5.ebuild, linux-headers-2.4.18-r1.ebuild,
  linux-headers-2.4.18-r2.ebuild, linux-headers-2.4.18.ebuild,
  linux-headers-2.4.19-r1.ebuild, linux-headers-2.4.19.ebuild:
  Fixing chown 0.0 to 0:0

*linux-headers-2.6.0_beta11 (07 Dec 2003)

  07 Dec 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.23.ebuild,
  linux-headers-2.6.0_beta11.ebuild:
  May be of use for people to test against before final 2.6 sources get released.
  Should work for the most part, but we'll just have to see...

*linux-headers-2.4.23 (28 Nov 2003)

  28 Nov 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.23.ebuild:
  Revision bump for 2.4.23 kernel. Keyword masked until it can be tested. With
  the newer iputils package available, these should work fine.

*linux-headers-2.4.21-r1 (16 Nov 2003)

  24 Nov 2003; Aron Griffis <agriffis@gentoo.org> linux-headers-2.4.21.ebuild:
  Add '~alpha'.

  20 Nov 2003; Brandon Low <lostlogic@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild:
  Move version handling logic to after inherit kernel, or insert it where
  necessary.

  16 Nov 2003; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild:
  Sparc Fix: For the generation of asm_offsets.h for sparc systems, changed the
  "make ARCH=sparc dep" line to "make ARCH=${ARCH} dep" because the system
  compiler at the present time will fail to complete a make dep stage. This is a
  temp-fix for sparc64 systems (make dep will invoke the gcc64 compiler), but sparc32
  systems may continue to be affected until either the kernel gets a fix, or a new
  gcc branch update hopefully corrects the problem.

  16 Nov 2003; Joshua Kinard <kumba@gentoo.org>
  linux-headers-2.4.21-r1.ebuild, linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild, files/linux-headers-strict-ansi-fix.patch:
  Changed the ordering of some variables to adjust to new kernel.eclass behavior.
  Added a patch that fixes an issue regarding the use of gcc's -ansi flag.

*linux-headers-2.4.22 (21 Sep 2003)

  30 Oct 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild:
  Added a minor note in pkg_postinst() to advise users to upgrade their glibc
  after emerging newer kernel headers.  Closes Bug #25836
  Tweaked the ARCH= line in the same ebuilds to get assigned the value of
  "uname -m".  This prevents any nasty surprises incase someone re-defines
  $ARCH from the commandline (or in a script).  Closes Bug #26647.

  29 Oct 2003; <plasmaroo@gentoo.org> linux-headers-2.2.20.ebuild,
  linux-headers-2.2.21_pre3.ebuild, linux-headers-2.4.16-r1.ebuild,
  linux-headers-2.4.16-r3.ebuild, linux-headers-2.4.16.ebuild,
  linux-headers-2.4.17-r3.ebuild, linux-headers-2.4.17-r4.ebuild,
  linux-headers-2.4.17-r5.ebuild, linux-headers-2.4.18-r1.ebuild,
  linux-headers-2.4.18-r2.ebuild, linux-headers-2.4.18.ebuild,
  linux-headers-2.4.19-r1.ebuild, linux-headers-2.4.19.ebuild:
  All linux-headers ebuilds have been re-slotted to slot zero.
  Bug #32197, et al.

  23 Oct 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild:
  Changed SLOT to 0 from ${OKV}

  21 Oct 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild:
  Added ~x86 to KEYWORDS
  Removed +x mode that somehow got set on all ebuilds.

  01 Oct 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild,
  linux-headers-2.4.22.ebuild:
  Missing PROVIDE="virtual/kernel virtual/os-headers"; Added.

  29 Sep 2003; Martin Holzer <mholzer@gentoo.org> linux-headers-2.2.20.ebuild,
  linux-headers-2.2.21_pre3.ebuild, linux-headers-2.4.16-r1.ebuild,
  linux-headers-2.4.16-r3.ebuild, linux-headers-2.4.16.ebuild,
  linux-headers-2.4.17-r3.ebuild, linux-headers-2.4.17-r4.ebuild,
  linux-headers-2.4.17-r5.ebuild, linux-headers-2.4.18-r1.ebuild,
  linux-headers-2.4.18-r2.ebuild, linux-headers-2.4.18.ebuild,
  linux-headers-2.4.19-r1.ebuild, linux-headers-2.4.19.ebuild,
  linux-headers-2.4.21.ebuild, linux-headers-2.4.22.ebuild:
  Now uses mirror://kernel.

  21 Sep 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.22.ebuild:
  Created ebuild for linux-headers-2.4.22; set KEYWORDS to "-*" to mask it 
  until it is needed. Please note that at this time, net-misc/iputils will 
  fail to compile if built against 2.4.22 headers.

*linux-headers-2.4.21 (21 Jun 2003)

  21 Sep 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild:
  Typo fixes in linux-headers-2.4.21, added blank EXTRAVERSION to prevent
  kernel.eclass from appending "-linux-r0" to the version string.

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> linux-headers-2.4.21.ebuild:
  Added 'ia64' keywords.

  12 Sep 2003; Joshua Kinard <kumba@gentoo.org> linux-headers-2.4.21.ebuild,
  files/bigendian-byteorder-fix.patch, files/generate-asm-sparc:
  Re-written linux-headers-2.4.21 ebuild; Utilizes kernel.eclass, and includes a
  needed fix for sparc systems. Only usable with the gcc33-sparc64-1.4 testing
  profile right now.  Should not affect amd64; if it does, Yell.

  21 Jun 2003; Daniel Robbins <drobbins@gentoo.org> 
  New linux-headers-2.4.21 (stock) to be used for amd64.

*linux-headers-2.4.17-r4 (11 Mar 2003)

  11 Mar 2003; Zach Welch <zwelch@gentoo.org> linux-headers-2.2.20.ebuild,
  linux-headers-2.2.21_pre3.ebuild, linux-headers-2.4.16-r1.ebuild,
  linux-headers-2.4.16-r3.ebuild, linux-headers-2.4.16.ebuild,
  linux-headers-2.4.17-r3.ebuild, linux-headers-2.4.17-r4.ebuild,
  linux-headers-2.4.17-r5.ebuild, linux-headers-2.4.18-r1.ebuild,
  linux-headers-2.4.18-r2.ebuild, linux-headers-2.4.18.ebuild,
  linux-headers-2.4.19-r1.ebuild, linux-headers-2.4.19.ebuild,
  linux-headers-2.4.20.ebuild:
  Add virtual/os-headers "PROVIDE".

*linux-headers-2.4.20 (06 Feb 2003)

  03 Apr 2003; Guy Martin <gmsoft@gentoo.org> linux-headers-2.4.20.ebuild :
  This ebuild is replaced by the hppa-headers-2.4.20_p32.ebuild since
  KEYWORDS was "hppa -*".

  28 Mar 2003; Guy Martin <gmsoft@gentoo.org> linux-headers-2.4.20.ebuild :
  Added building of include/asm/offset.h on hppa.

  15 Feb 2003; Guy Martin <gmsoft@gentoo.org> linux-headers-2.4.20.ebuild :
  Updated hppa patch level from 23 to 26.

  06 Feb 2003; Guy Martin <gmsoft@gentoo.org> linux-headers-2.4.20.ebuild :
  Released 2.4.20 needed for hppa. Others archs are masked.

  20 Dec 2002; Dean Bailey <alron@gentoo.org> : added missing sparc64 to ebuild.

*linux-headers-2.4.19-r1 (18 Dec 2002)

  24 Mar 2003; Christian Birchinger <joker@gentoo.org>
  linux-headers-2.4.19-r1.ebuild:
  Added a sparc64 detection fix.

  19 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added 'mips' to keywords.

  18 Dec 2002; Dean Bailey <alron@gentoo.org> : 
  Fixed the lack of sparc64 instances in the file which were accidently wiped during an earlier fix.
  Set to r1 as this was a large enough change.

  17 Dec 2002; Brandon Low <lostlogic@gentoo.org>:
  Make all kernel-sources SLOT="${KV}"

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : Changed sparc ~sparc keywords.

*linux-headers-2.4.19 (02 Sept 2002)

  02 Sept 2002; Nicholas Jones <carpaski@gentoo.org> :

  Fixed the
	  mv: cannot move `linux-2.4.19' to a subdirectory of itself
          error with a $OKV!=$KV check.

  Added comments to the die statements.		

*** See the sys-kernel/linux-sources ChangeLog for general changes. ***
